curl --request GET \
--url 'https://edi.stateset.com/v1/deductions/{id}' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"adjustment_number": "string",
"amount": "49.00",
"category": "standard",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"evidence": [
{
"actor": "string",
"at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set.",
"url": "https://example.com/webhooks/stateset"
}
],
"history": [
{
"action": "string",
"actor": "string",
"at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set."
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "ORD-10042",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason_codes": [
"string"
],
"recovered_amount": "49.00",
"status": "open",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
}
One deduction with its dispute history.
Deduction
GET
/
v1
/
deductions
/
{id}
curl --request GET \
--url 'https://edi.stateset.com/v1/deductions/{id}' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"adjustment_number": "string",
"amount": "49.00",
"category": "standard",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"evidence": [
{
"actor": "string",
"at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set.",
"url": "https://example.com/webhooks/stateset"
}
],
"history": [
{
"action": "string",
"actor": "string",
"at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set."
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "ORD-10042",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason_codes": [
"string"
],
"recovered_amount": "49.00",
"status": "open",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Deduction ID
Response
Deduction
string
required
The 812 adjustment / chargeback number.
string
required
string
Operator-assigned root-cause category (e.g.
shortage, label, asn).string (date-time)
required
string
EvidenceNote[]
DeductionEvent[]
required
string
required
string
string
required
string[]
string
Amount recovered when disputed successfully (≤
amount).DeductionStatus
required
string
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Deduction |
404 | Unknown deduction |
curl --request GET \
--url 'https://edi.stateset.com/v1/deductions/{id}' \
--header "Authorization: Bearer $STATESET_EDI_API_KEY"
{
"adjustment_number": "string",
"amount": "49.00",
"category": "standard",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"evidence": [
{
"actor": "string",
"at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set.",
"url": "https://example.com/webhooks/stateset"
}
],
"history": [
{
"action": "string",
"actor": "string",
"at": "2026-08-31T14:22:05Z",
"note": "Two-person tent, green — replacement for damaged pole set."
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "ORD-10042",
"partner_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason_codes": [
"string"
],
"recovered_amount": "49.00",
"status": "open",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026